

player = {}

player.x = 546
player.y = 300
player.speed = .001

sprite = {}
sprite[1]= love.graphics.newImage("images/red.png")
sprite[2]= love.graphics.newImage("images/blue.png")
sprite[3]= love.graphics.newImage("images/green.png")

colorchoice = 1

function player_update(dt)
	player.rotation = math.atan2(love.mouse.getY() - player.y, love.mouse.getX() - player.x)
	mouse_distX = love.mouse.getX() - player.x
	mouse_distY = love.mouse.getY() - player.y
	if love.mouse.isDown("l") then
		if mouse_distX < player.x or mouse_distX > player.x then
		player.x = player.x + mouse_distX*dt
		end
		if mouse_distY < player.y or mouse_distY > player.y then
			player.y = player.y + mouse_distY*dt
		end
	end
end

function player_draw()
	love.graphics.draw(sprite[colorchoice], player.x, player.y, player.rotation,1,1,sprite[colorchoice]:getWidth()/2, sprite[colorchoice]:getHeight()/2)
end

bullet = {}
bullet[1]= love.graphics.newImage("images/bulletred.png")
bullet[2]= love.graphics.newImage("images/bulletblue.png")
bullet[3]= love.graphics.newImage("images/bulletgreen.png")


function bullet_shoot(dt)
bulletcolor = colorchoice
	if love.mouse.isDown("r") then
		bullet_spawn(player.x, player.y)
	end
end

function bullet_spawn(x, y)
	table.insert(bullet, {x=x, y=y,img =bullet[bulletcolor], rot=player.rotation})
end

function bullet_draw()
	for i,v in ipairs(bullet) do
		love.graphics.draw(v.img,v.x, v.y,v.rot)
	end
end